Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.stream.feed
Class EventFeedMaker

    java.lang.Object
      com.saxonica.stream.feed.EventFeedMaker

All Implemented Interfaces:
  FeedMaker

    public abstract class EventFeedMaker

extends Object
implements FeedMaker

Abstract FeedMaker acting for an Expression class that prefers to output decomposed events

Constructor Summary
`EventFeedMaker()`

Method Summary
`Feed` | `makeItemFeed(WatchManager watchManager, Feed out, Stack<XPathContext> contextStack)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.saxonica.stream.feed.FeedMaker
`makeEventFeed`

Constructor Detail

### EventFeedMaker

    public EventFeedMaker()

Method Detail

### makeItemFeed

    public Feed makeItemFeed(WatchManager watchManager,
                             Feed out,
                             Stack<XPathContext> contextStack)
                      throws XPathException

  Specified by:
    `makeItemFeed` in interface `FeedMaker`
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.